Page MenuHomePhabricator

Align Wikimedia Portal UI elements to improved color palette
Closed, ResolvedPublic

Description

As we now have a broadly agreed-on, WCAG compliant color palette M82, we should make use of it in Wikimedia Portal UI elements as well.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 311879 had a related patch set uploaded (by VolkerE):
Align UI elements to improved WCAG compliant color palette

https://gerrit.wikimedia.org/r/311879

Change 311879 merged by jenkins-bot:
Align UI elements to improved WCAG compliant color palette

https://gerrit.wikimedia.org/r/311879

debt moved this task from Backlog to Done on the Discovery-Portal-Sprint board.
debt added a comment.Oct 11 2016, 4:40 PM

This was released into production on Oct 11, 2016 during morning SWAT - brightening up the text blue color (see this ticket).

debt closed this task as Resolved.Oct 11 2016, 8:52 PM
debt triaged this task as Normal priority.
Volker_E reopened this task as Open.Oct 11 2016, 9:29 PM
Volker_E removed a project: Patch-For-Review.

Great progress! :)
But we're still missing the correct blue on the language icon from the language dropdown.

@Jdrewniak Reassigning the task as I don't have the source file for the sprite.

Volker_E reassigned this task from Volker_E to Jdrewniak.Oct 28 2016, 12:50 AM

The language icon is part of the oojs icon repo (if you have it locally, it is "obviously" at src/themes/mediawiki/images/icons/ ):

I'd expect SVGs to be used (with png fallback) for the benefit of those with high resolution displays.

Just to be precise, we've got the language icon and the bookshelf in a different shade of blue. I don't even know where the bookshelf is in use right now.

Change 320761 had a related patch set uploaded (by Jdrewniak):
Updating language icon color

https://gerrit.wikimedia.org/r/320761

@Volker_E The patch mentioned above changes the language icon color to the M82 blue (#3366cc).
https://gerrit.wikimedia.org/r/#/c/320761/1/prod/wikipedia.org/assets/img/sprite-bookshelf_icons%25402x.png,unified

(I also removed the bookshelf icon, but don't tell anyone... )

@Jdrewniak There's one more occasion of the old blue in _survey-banner.css. I don't get if it's still in use anymore – haven't we spoken about it getting removed anyways before?

Change 320761 merged by jenkins-bot:
Updating language icon color

https://gerrit.wikimedia.org/r/320761

Follow-up on the survey-banner leftovers: https://gerrit.wikimedia.org/r/#/c/322036/

Change 322831 had a related patch set uploaded (by VolkerE):
Align remaining colors to color palette and update WMUI base variables

https://gerrit.wikimedia.org/r/322831

Change 322831 merged by jenkins-bot:
Align remaining colors to color palette and update WMUI base variables

https://gerrit.wikimedia.org/r/322831

Volker_E closed this task as Resolved.Nov 29 2016, 3:37 PM
Volker_E removed a project: Patch-For-Review.
Volker_E reopened this task as Open.Dec 2 2016, 10:05 PM
Volker_E added a comment.EditedDec 2 2016, 10:12 PM

In a further search, there has also been the CSS rgb( 52, 123, 255 ) notation of the old blue #347bff used (luckily just in the portal). Therefore we need to reopen this one more time.

Change 325057 had a related patch set uploaded (by VolkerE):
Align leftover colors to overhauled color palette

https://gerrit.wikimedia.org/r/325057

Change 325057 merged by jenkins-bot:
Align leftover colors to overhauled color palette

https://gerrit.wikimedia.org/r/325057

Volker_E closed this task as Resolved.Dec 5 2016, 8:07 PM
Volker_E claimed this task.
Volker_E removed a project: Patch-For-Review.
Volker_E moved this task from Review to Done on the UI-Standardization-Kanban board.